Name        	: dviutils
Version     	: 1.0
Release     	: 9
Group       	: Applications/Publishing
Summary     	: A set of utilities to rearrange dvi-documents.
Copyright   	: GPL
Icon        	: TEX.gif
Requires    	: tetex-xdvi 
BuildRoot   	: /var/tmp/%{name}-buildroot

Source0: ftp://ftp.dante.de/tex-archive/dviware/dvibook.tar.gz
Patch0: dvibook-redhat.patch
Patch1: dviutils-1.0-ansi_valist.patch


%Description
These utilities re-arrange TeX DVI files, creating DVI files as
output.  Dvibook rearranges pages so that the file can be printed as a
booklet on a duplex printer.
Dvitodvi rearranges pages according to a complex page specification.
It can be used to rearrange for booklet printing, extract odd or even
pages, overlay pages, and many other functions.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -c
%patch0
%patch1 -p3 -b .ansi_valist


%build
cd dvibook
xmkmf
make Makefiles
make CDEBUGFLAGS="$RPM_OPT_FLAGS" GETOPT=
cd ..


%install

mkdir -p $RPM_BUILD_ROOT/usr/{bin,share/man/man1} 
cd dvibook 
make install BINDIR=$RPM_BUILD_ROOT/usr/bin
make install.man MANDIR=$RPM_BUILD_ROOT/usr/share/man/man1

cd $RPM_BUILD_ROOT/usr/share/man/man1
for file in dvibook dviconcat dviselect dvitodvi
do
	mv $file.1{x,}
	gzip -9 $file.1
done


cd $RPM_BUILD_ROOT

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/man\//s|^|%doc|' > \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
%doc dvibook/README

%changelog
* Fri Jun  8 2001 Gerald Teschl <gerald@esi.ac.at>
- Created from caldera src rpm


